CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Installation
 * Recommended modules
 * Configuration
 * Upgrading


INTRODUCTION
------------

The wvn_api module syncs dutch goverment jobs from the website www.werkenvoornederland.nl to 
an entity type defined in Drupal. To use this module you need to obtain an account on 
http://docs.api.cso20.net/


INSTALLATION
------------

The installation of this module is like other Drupal modules.

 1. Copy/upload the wvn_api module to the modules directory of your Drupal
   installation.

 2. Enable the 'wvn_api' module in /admin/modules.

 3. Set up user permissions. (/admin/people/permissions#module-wvn_api)


CONFIGURATION
-------------

 * General settings: admin/config/services/wvn_api/settings.
   - Endpoint: https://api.cso20.net/v1/JobAPI/JobAPI/
   - Username and password can be requested by contacting http://docs.api.cso20.net/.
   - Selector for organisation can be used to get the jobs for a specific organisation.
     Leave empty to get all jobs associated to the user account.
   - Allowed status: The status a job must have to be imported.

 * Mapping: admin/config/services/wvn_api/mapping
   - Select an existing entity or create an new one to use for the jobs.
   - Associate API fields with the entity fields.
 
 * Manual run: admin/config/services/wvn_api/mapping
   - Manual sync jobs from API to Drupal.
