<?php

namespace Drupal\wvn_api\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for the wvn_api entity edit forms.
 *
 * @ingroup wvn_api
 */
class JobForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildForm($form, $form_state);
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $form_state->setRedirect('entity.wvn_api_job.collection');
    $entity = $this->getEntity();
    return $entity->save();
  }

}
